$! -----------------------------------------------------------------------
$! This file defines it's current location as IUPOP3_ROOT:[000000].
$! IUPOP3_ROOT:[BIN] becomes IUPOP3_EXE and IUPOP3_ROOT:[log] IUPOP3_LOG.
$! IUPOP3.COM and IUPOP3_arch.EXE should be copied to IUPOP3_EXE.
$! -----------------------------------------------------------------------
$!
$ on warning   then goto exit
$ on error     then goto exit
$ on control_y then goto exit
$ return_status = 0
$!
$! -----------------------------------------------------------------------
$! These next lines are the lines you need to customize.
$! -----------------------------------------------------------------------
$!
$! -----------------------------------------------------------------------
$! If scan_intrusion is not available, the security privilege is not needed.
$! For CMU phy_io privilege may be required for open well known ports (like 110)!
$! -----------------------------------------------------------------------
$!
$ required_privileges = "tmpmbx,netmbX,cmkrnl,sysprv,bypass,altpri,security"
$ if f$getdvi("IP:","EXISTS")     ! check for OpenCMU
$ then 
$   required_privileges = required_privileges + ",PHY_IO"
$ endif
$ prev_privs = f$setprv(required_privileges)
$ if .not. f$privilege(required_privileges) then goto no_privileges
$!
$! -----------------------------------------------------------------------
$! IUPOP3 can send a mail message after a program crash or a restart.
$! Specify a list of people who should get mail as a comma separated list.
$! Default recipient is the owner running this file.
$! -----------------------------------------------------------------------
$!
$  mail_recipients = F$EDIT(F$GETJPI("","USERNAME"),"COLLAPSE")
$!
$! -----------------------------------------------------------------------
$! If IUPOP3 is build with the RUN_TIME_OPTIONS make option,
$! you may want to define one or more of the following logicals:
$! -----------------------------------------------------------------------
$!
$ define /system /nolog IUPOP3_IGNORE_MAIL11_HEADERS             TRUE
$ define /system /nolog  IUPOP3_DEFAULT_TO_SMTP                  TRUE
$ define /system /nolog  IUPOP3_USE_BOTTOM_HEADERS               FALSE
$ define /system /nolog  IUPOP3_PERSONAL_NAME                    TRUE
$ define /system /nolog  IUPOP3_USE_MAIL_FOLDER                  FALSE
$ define /system /nolog  IUPOP3_FAST_SCAN                        TRUE
$ define /system /nolog  IUPOP3_SCAN_INTRUSION                   TRUE
$ define /system /nolog  IUPOP3_APOP_CHECK_DUPLICATE             TRUE
$ define /system /nolog  IUPOP3_IGNORE_EXPIRED_PASSWORDS         TRUE
$ define /system /nolog  IUPOP3_PURGE_MAILBOXES                  TRUE
$!
$ define /system /nolog  IUPOP3_PURGE_RECLAIM_THRESHOLD          0
$ define /system /nolog  IUPOP3_MAX_MESSAGES                     2048
$!
$! -----------------------------------------------------------------------
$! Node mapping via logical names IUPOP3_NODE_xxx:
$! This is very useful for building meaningful reply addresses.
$! Mapping without this logical defined:
$!       nodename::username   --->  username@nodename
$! Mapping with this logical defined:
$! define /system IUPOP3_NODE_nodename  "node.subdom.dom"
$!       nodename::username   --->  username@node.subdom.dom
$! -----------------------------------------------------------------------
$!
$! define /system IUPOP3_NODE_xxx  "xxx.xxx.xxx"
$! define /system IUPOP3_NODE_xxx  "xxx.xxx.xxx"
$! define /system IUPOP3_NODE_xxx  "xxx.xxx.xxx"
$!
$! -----------------------------------------------------------------------
$! Everything below this line should be OK, but can be changed.
$! -----------------------------------------------------------------------
$! The following logical is recognized only by IUPOP3.COM:
$  define /system  /nolog IUPOP3_MAIL_RECIPIENTS "''mail_recipients'"
$! -----------------------------------------------------------------------
$! define target_dir with the systax dev:[dir.]
$! only physical device names may be used!
$ target_dir = f$parse("Z.Z;", f$environment("PROCEDURE"),,,"NO_CONCEAL") -"][" - "Z.Z;"
$ logvolnam = f$getdvi(target_dir,"LOGVOLNAM")
$ if logvolnam .nes. "" then $ target_dir = f$parse(logvolnam,target_dir)
$ target_dir = target_dir - "].;" + ".]"
$!
$ define /system  /nolog /tran=conc iupop3_root 'target_dir'
$ define /system  /nolog            iupop3_exe  iupop3_root:[bin]
$ define /system  /nolog            iupop3_log  iupop3_root:[log]
$!
$! -----------------------------------------------------------------------
$ uic     = "SYSTEM"
$ node    = f$getsyi("NODENAME")
$ infile  = "iupop3_exe:iupop3.com"
$ outfile = "iupop3_log:''node'_IUPOP3.LOG"
$!
$ if (F$SEARCH(infile) .eqs. "") then goto no_infile
$ if (F$SEARCH("iupop3_exe:iupop3_*.exe") .eqs. "") then goto no_exefile
$ if (F$PARSE(outfile) .eqs. "") then goto no_logdir
$!
$ run/detached         -
     /uic=['uic']     -
     /privilege=('required_privileges') -
     /input='infile'   -
     /output='outfile' -
     /error='outfile'  -
     /ast_limit=90     -
     /io_buffered=65   -
     /io_direct=60     -
     /time=0           -
     /file=50          -
     /buffer=90000     -
     /queue_limit=20   -
     /enqueue_limit=100 -
     /page_file=100000   -
     /maximum_working_set=2048 -
     SYS$SYSTEM:LOGINOUT.EXE
$!
$ return_status = $status
$exit:
$ prev_privs = f$setprv(prev_privs)
$ exit return_status
$!
$no_privileges:
$ return_status = %x10000000
$ write sys$output "Insufficient privileges to start IUPOP3."
$ write sys$output "IUPOP3 requires ",required_privileges," privileges."
$ goto exit
$no_infile:
$ return_status = 2320  !no such file
$ write sys$output "Required file IUPOP3_EXE:IUPOP3.COM is not found."
$ goto exit
$no_exefile:
$ return_status = 2320  !no such file
$ write sys$output "No executable found in IUPOP3_EXE!"
$ goto exit
$no_logdir:
$ return_status = 2320  !no such file
$ write sys$output "Logfile directorie IUPOP3_LOG does not exist"
$ goto exit
